<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <template id="tpstst_report_upgrade_receipt_document">
        <t t-call="v11_tpstst_custom.report_custom_header">
            <t t-set="o" t-value="o.with_context({'lang':o.partner_id.lang})"/>
            <style>
                .no-box {
                    border:none; 
                    border-width:0px;
                    white-space: nowrap;
                    border-spacing: 0px;
                }
                .table-borderless > tbody > tr > td,
                .table-borderless > tbody > tr > th,
                .table-borderless > tfoot > tr > td,
                .table-borderless > tfoot > tr > th,
                .table-borderless > thead > tr > td,
                .table-borderless > thead > tr > th {
                    border: none;
                    border-width:0px;
                    border-spacing: 0px;
                }
                .title {
                    font-size:30px;
                }
                .subtitle {
                    font-size:26px;
                }
                .content {
                    font-size: 22px;
                }
                .subcontent {
                    font-size: 20px
                    white-space:nowrap;
                }
                .centering-title{
                    padding-left: 300px
                }
                .centering-number {
                    padding-top:20px;
                }
                .centering-date {
                    padding-top:32px;
                }
                .text-center {
                    text-align: center
                }
                .text-bottom-donation {
                    display: table-cell;
                    vertical-align: bottom;
                    border: none;
                    height: 60px;
                    width: 100px;
                }
                .box {
                    display: table-cell;
                    vertical-align: bottom;
                    border: 1px solid black;
                    height: 55px;
                    width: 60px;
                    padding: 0px;
                    margim:0px;
                }
                .top-text {
                    vertical-align: top;
                    display: table-cell;
                }
                .bottom-text {
                    vertical-align: bottom;
                    display: table-cell;
                    right: 16px;
                }
            </style>
            <div style="padding-top:20px;">
                <t t-set="niche" t-value="0.00"/>
                <t t-set="tablet" t-value="0.00"/>
                <t t-set="fee" t-value="0.00"/>
                <t t-if="o.line_cr_ids">
                    <t t-foreach="o.line_cr_ids" t-as="line_cr">
                        <t t-if="line_cr.move_line_id.invoice_id.membership_upgrade_id">
                            <t t-if="line_cr.move_line_id.invoice_id.membership_upgrade_id.membership_fee_id.valid_price">
                                <t t-set="fee" t-value="line_cr.move_line_id.invoice_id.membership_upgrade_id.amount_total"/>
                            </t>
                            <t t-if="line_cr.move_line_id.invoice_id.membership_upgrade_id.tablet_application_id.level_id.price">
                                <t t-set="tablet" t-value="line_cr.move_line_id.invoice_id.membership_upgrade_id.tablet_application_id.amount_total"/>
                            </t>
                            <t t-if="line_cr.move_line_id.invoice_id.membership_upgrade_id.niche_application_id.level_id.price">
                                <t t-set="niche" t-value="line_cr.move_line_id.invoice_id.membership_upgrade_id.niche_application_id.amount_total"/>
                            </t>
                        </t>
                    </t>
                </t>
                <t t-set="total_amount" t-value="fee + tablet + niche"/>
                <table class="table table-borderless">
                    <tbody class="no-box">
                        <tr >
                            <th class="text-center no-box content">
                                <span class="title centering-title"><b>捐 赠 收 据</b></span><br/>
                                <span class="subsubtitle centering-title"><strong><u>UPGRADE RECEIPT</u></strong></span>
                            </th>
                            <th style="no-box">
                                <span class="pull-right subtitle centering-number">NO : <span t-esc="o.number"></span></span>
                            </th>
                        </tr>
                        <tr>
                            <td class="no-box">
                                <span class="content">捐  赠  收</span><br/>
                                <span class="content"> Received from : 
                                    <t t-if="o.partner_id.title">
                                        <span t-esc="o.partner_id.title.name"/>. 
                                    </t>
                                    <span t-esc="o.partner_id.name"/>
                                </span>
                            </td>
                            <td class="no-box">
                                <span class="pull-right content centering-date"> Date : <span t-esc="o.date"/></span>
                            </td>
                        </tr>
                        <tr>
                            <td class="no-box">
                                <span class="content">捐  赠</span>
                                <br/>
                                <span class="content">The sum of dollars : <span t-esc="o.amount_to_text(total_amount)"/> </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table class="table table-borderless" style="border-collapse: collapse;" width="100%" cellspacing="0">
                    <tbody>
                        <tr>

                            <td class="no-box">
                                <span class="subcontent top-text">捐  赠  赠</span>
                                <br/>
                                <span class="subcontent bottom-text">Niche</span>
                            </td>
                            <td class="box">
                                <span class="box"></span>
                            </td>
                            <td class="no-box">
                                <span class="subcontent text-bottom-donation">$ <span t-esc="niche"/></span>
                            </td>
                            <td class="no-box">
                                <span class="subcontent top-text">捐  赠  捐</span>
                                <br/>
                                <span class="subcontent bottom-text">Tablet</span>
                            </td>
                            <td class="box">
                                <span class="box"></span>
                            </td>
                            <td class="no-box">
                                <span class="subcontent text-bottom-donation">$ <span t-esc="tablet"/></span>
                            </td>
                            <td class="no-box">
                                <span class="subcontent top-text">捐  赠  捐 / 赠  捐  捐</span>
                                <br/>
                                <span class="subcontent bottom-text">Admin/Associate Member</span>
                            </td>
                            <td class="box">
                                <span class="box"></span>
                            </td>
                            <td class="no-box text-bottom-donation">
                                <span class="subcontent text-bottom-donation">$ <span t-esc="fee"/></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table class="table table-borderless" style="margin-top:60px;">
                    <tbody>
                        <tr>
                            <td class="no-box">
                                <span class="subcontent">___________________</span>
                                <br/>
                                <span class="subcontent">Nets/Cash/Cheque No.</span>
                            </td>
                            <td class="no-box text-center">
                                <span class="subcontent">___________________</span>
                                <br/>
                                <span class="subcontent">捐  赠</span>
                                <br/>
                                <span class="subcontent"><i>Chairman</i></span>
                            </td>
                            <td class="no-box text-center">
                                <span class="subcontent">___________________</span>
                                <br/>
                                <span class="subcontent">捐  赠</span>
                                <br/>
                                <span class="subcontent"><i>Secretary</i></span>
                            </td>
                            <td class="no-box text-center">
                                <span class="subcontent">___________________</span>
                                <br/>
                                <span class="subcontent">捐  赠</span>
                                <br/>
                                <span class="subcontent"><i>Treasurer</i></span>
                            </td>
                            <td class="no-box text-center">
                                <span class="subcontent">___________________</span>
                                <br/>
                                <span class="subcontent">捐  赠  赠</span>
                                <br/>
                                <span class="subcontent"><i>Attended By</i></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </t>
    </template>

    <template id="tpstst_report_upgrade_receipt">
        <t t-call="web.basic_layout">
            <t t-foreach="docs" t-as="o">
                <t t-call="v11_tpstst_custom.tpstst_report_upgrade_receipt_document" t-lang="o.partner_id.lang"/>
            </t>
        </t>
    </template>

</odoo>
